# AugmentImg 📚

[![PyPI](https://img.shields.io/pypi/v/augmentimg)](https://pypi.org/project/augmentimg/)
[![Language](https://img.shields.io/badge/lang-en-blue.svg)](#)
[![Downloads](https://pepy.tech/badge/augmentimg)](https://pepy.tech/project/augmentimg)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![GitHub](https://img.shields.io/badge/GitHub-Repository-green)](https://github.com/zamalali/augmentimg)


AugmentImg is a user-friendly image augmentation tool for computer vision tasks. It offers a no-code graphical interface to apply various augmentations to images and their annotations. Simply input the desired count and select the types of augmentations. It supports both YOLO (txt) and COCO (json) annotation formats.

Simple User Interface-

<div align="center">
  <img src="https://raw.githubusercontent.com/zamalali/AugmentImg/main/images/gui.png" alt="User Interface">
</div>



## Features

- Supports image augmentation with YOLO and COCO annotation formats.
- Apply multiple augmentations like Rotation, Flip, Blur, Saturation, Contrast, Sharpness, Gamma correction, CLAHE, HSV adjustment, shift-scale-rotate, and Brightness.
- Easy to use GUI.
- Allows selection of the desired number of augmented images.
- Options to augment images with or without annotations.

## Installation

You can install the package via pip:

```bash
pip install augmentimg
```
After the installation just run:
```bash
augment-img
```

## Contributing 🙋‍♂️
We are an open-source project in a fast-changing field and love getting help. Whether it's new features, better setup, or clearer docs, we'd appreciate your input. Check out our [Contributing](https://github.com/zamalali/AugmentImg/blob/main/CONTRIBUTING.rst)
 Guide for more info!